MPV

Wayland apps fail to run with zwp_linux_dmabuf error (failed to import supplied dmabufs: Unsupported buffer format 808669784 [DRM_FORMAT_XRGB2101010]) (or 808665665 [DRM_FORMAT_ABGR2101010])

Bug #1868520 reported by Chris Halse Rogers on 2020-03-23
72
This bug affects 10 people
Affects Status Importance Assigned to Milestone
MPV
Unknown
Unknown
Mesa
Fix Released
Unknown
mesa (Ubuntu)
High
Chris Halse Rogers
Bionic
Undecided
Unassigned
Focal
High
Timo Aaltonen

Bug Description

[Impact]

Wayland apps fail to start in focal with:

error 7: failed to import supplied dmabufs: Unsupported buffer format 808669784

[Test Case]

Just run: es2gears_wayland

[Regression Potential]

Medium/unknown. The fix is quite new.

[Other Info]

When attempting to run es2gears_wayland against GNOME Shell, it fails with:

EGL_VERSION = 1.5
vertex shader info:
fragment shader info:
info:
[destroyed object]: error 7: failed to import supplied dmabufs: Unsupported buffer format 808669784

The full wayland protocol trace is:

[3104432.914] -> wl_display@1.get_registry(new id wl_registry@2)
[3104432.972] -> wl_display@1.sync(new id wl_callback@3)
[3104433.139] wl_display@1.delete_id(3)
[3104433.175] wl_registry@2.global(1, "wl_drm", 2)
[3104433.207] wl_registry@2.global(2, "wl_compositor", 4)
[3104433.240] -> wl_registry@2.bind(2, "wl_compositor", 1, new id [unknown]@4)
[3104433.285] wl_registry@2.global(3, "wl_shm", 1)
[3104433.316] wl_registry@2.global(4, "wl_output", 2)
[3104433.347] wl_registry@2.global(5, "zxdg_output_manager_v1", 3)
[3104433.376] wl_registry@2.global(6, "wl_data_device_manager", 3)
[3104433.404] wl_registry@2.global(7, "gtk_primary_selection_device_manager", 1)
[3104433.432] wl_registry@2.global(8, "wl_subcompositor", 1)
[3104433.459] wl_registry@2.global(9, "xdg_wm_base", 2)
[3104433.485] wl_registry@2.global(10, "zxdg_shell_v6", 1)
[3104433.513] wl_registry@2.global(11, "wl_shell", 1)
[3104433.542] -> wl_registry@2.bind(11, "wl_shell", 1, new id [unknown]@5)
[3104433.582] wl_registry@2.global(12, "gtk_shell1", 3)
[3104433.611] wl_registry@2.global(13, "wp_viewporter", 1)
[3104433.640] wl_registry@2.global(14, "zwp_pointer_gestures_v1", 1)
[3104433.670] wl_registry@2.global(15, "zwp_tablet_manager_v2", 1)
[3104433.699] wl_registry@2.global(16, "wl_seat", 5)
[3104433.728] wl_registry@2.global(17, "zwp_relative_pointer_manager_v1", 1)
[3104433.758] wl_registry@2.global(18, "zwp_pointer_constraints_v1", 1)
[3104433.787] wl_registry@2.global(19, "zxdg_exporter_v1", 1)
[3104433.816] wl_registry@2.global(20, "zxdg_importer_v1", 1)
[3104433.846] wl_registry@2.global(21, "zwp_linux_dmabuf_v1", 3)
[3104433.875] wl_registry@2.global(22, "zwp_keyboard_shortcuts_inhibit_manager_v1", 1)
[3104433.904] wl_registry@2.global(23, "zwp_text_input_manager_v3", 1)
[3104433.933] wl_registry@2.global(24, "gtk_text_input_manager", 1)
[3104433.960] wl_registry@2.global(26, "wl_eglstream_controller", 1)
[3104433.991] wl_callback@3.done(3421)
[3104436.266] -> wl_display@1.get_registry(new id wl_registry@3)
[3104436.279] -> wl_display@1.sync(new id wl_callback@6)
[3104436.647] wl_display@1.delete_id(6)
[3104436.672] wl_registry@3.global(1, "wl_drm", 2)
[3104436.726] -> wl_registry@3.bind(1, "wl_drm", 2, new id [unknown]@7)
[3104436.744] wl_registry@3.global(2, "wl_compositor", 4)
[3104436.780] wl_registry@3.global(3, "wl_shm", 1)
[3104436.790] wl_registry@3.global(4, "wl_output", 2)
[3104436.803] wl_registry@3.global(5, "zxdg_output_manager_v1", 3)
[3104436.833] wl_registry@3.global(6, "wl_data_device_manager", 3)
[3104436.868] wl_registry@3.global(7, "gtk_primary_selection_device_manager", 1)
[3104436.882] wl_registry@3.global(8, "wl_subcompositor", 1)
[3104436.898] wl_registry@3.global(9, "xdg_wm_base", 2)
[3104436.913] wl_registry@3.global(10, "zxdg_shell_v6", 1)
[3104436.925] wl_registry@3.global(11, "wl_shell", 1)
[3104436.937] wl_registry@3.global(12, "gtk_shell1", 3)
[3104436.950] wl_registry@3.global(13, "wp_viewporter", 1)
[3104436.963] wl_registry@3.global(14, "zwp_pointer_gestures_v1", 1)
[3104436.976] wl_registry@3.global(15, "zwp_tablet_manager_v2", 1)
[3104436.990] wl_registry@3.global(16, "wl_seat", 5)
[3104437.001] wl_registry@3.global(17, "zwp_relative_pointer_manager_v1", 1)
[3104437.013] wl_registry@3.global(18, "zwp_pointer_constraints_v1", 1)
[3104437.026] wl_registry@3.global(19, "zxdg_exporter_v1", 1)
[3104437.038] wl_registry@3.global(20, "zxdg_importer_v1", 1)
[3104437.051] wl_registry@3.global(21, "zwp_linux_dmabuf_v1", 3)
[3104437.066] -> wl_registry@3.bind(21, "zwp_linux_dmabuf_v1", 3, new id [unknown]@8)
[3104437.083] wl_registry@3.global(22, "zwp_keyboard_shortcuts_inhibit_manager_v1", 1)
[3104437.096] wl_registry@3.global(23, "zwp_text_input_manager_v3", 1)
[3104437.111] wl_registry@3.global(24, "gtk_text_input_manager", 1)
[3104437.125] wl_registry@3.global(26, "wl_eglstream_controller", 1)
[3104437.140] wl_callback@6.done(3421)
[3104437.146] -> wl_display@1.sync(new id wl_callback@6)
[3104437.333] wl_display@1.delete_id(6)
[3104437.339] wl_drm@7.device("/dev/dri/card0")
[3104437.408] -> wl_drm@7.authenticate(1)
[3104437.413] wl_drm@7.format(808669761)
[3104437.438] wl_drm@7.format(808669784)
[3104437.442] wl_drm@7.format(808665665)
[3104437.448] wl_drm@7.format(875713089)
[3104437.452] wl_drm@7.format(875713112)
[3104437.457] wl_drm@7.format(909199186)
[3104437.461] wl_drm@7.format(961959257)
[3104437.466] wl_drm@7.format(825316697)
[3104437.471] wl_drm@7.format(842093913)
[3104437.492] wl_drm@7.format(909202777)
[3104437.496] wl_drm@7.format(875713881)
[3104437.518] wl_drm@7.format(842094158)
[3104437.523] wl_drm@7.format(909203022)
[3104437.528] wl_drm@7.format(1448695129)
[3104437.533] wl_drm@7.capabilities(1)
[3104437.539] zwp_linux_dmabuf_v1@8.format(875713089)
[3104437.543] zwp_linux_dmabuf_v1@8.modifier(875713089, 0, 0)
[3104437.556] zwp_linux_dmabuf_v1@8.modifier(875713089, 16777216, 1)
[3104437.581] zwp_linux_dmabuf_v1@8.modifier(875713089, 16777216, 2)
[3104437.614] zwp_linux_dmabuf_v1@8.modifier(875713089, 16777216, 4)
[3104437.624] zwp_linux_dmabuf_v1@8.format(875713112)
[3104437.629] zwp_linux_dmabuf_v1@8.modifier(875713112, 0, 0)
[3104437.639] zwp_linux_dmabuf_v1@8.modifier(875713112, 16777216, 1)
[3104437.650] zwp_linux_dmabuf_v1@8.modifier(875713112, 16777216, 2)
[3104437.663] zwp_linux_dmabuf_v1@8.modifier(875713112, 16777216, 4)
[3104437.674] zwp_linux_dmabuf_v1@8.format(808669761)
[3104437.680] zwp_linux_dmabuf_v1@8.modifier(808669761, 0, 0)
[3104437.693] zwp_linux_dmabuf_v1@8.modifier(808669761, 16777216, 1)
[3104437.706] zwp_linux_dmabuf_v1@8.modifier(808669761, 16777216, 2)
[3104437.717] zwp_linux_dmabuf_v1@8.format(909199186)
[3104437.723] zwp_linux_dmabuf_v1@8.modifier(909199186, 0, 0)
[3104437.735] zwp_linux_dmabuf_v1@8.modifier(909199186, 16777216, 1)
[3104437.748] zwp_linux_dmabuf_v1@8.modifier(909199186, 16777216, 2)
[3104437.759] wl_callback@6.done(3421)
[3104437.766] -> wl_display@1.sync(new id wl_callback@6)
[3104437.860] wl_display@1.delete_id(6)
[3104437.872] wl_drm@7.authenticated()
[3104437.877] wl_callback@6.done(3421)
EGL_VERSION = 1.5
[3104473.572] -> wl_compositor@4.create_surface(new id wl_surface@6)
[3104473.606] -> wl_compositor@4.create_region(new id wl_region@9)
[3104473.613] -> wl_region@9.add(0, 0, 300, 300)
[3104473.673] -> wl_surface@6.set_opaque_region(wl_region@9)
[3104473.677] -> wl_region@9.destroy()
[3104473.681] -> wl_shell@5.get_shell_surface(new id wl_shell_surface@10, wl_surface@6)
[3104473.707] -> wl_shell_surface@10.set_toplevel()
vertex shader info:
fragment shader info:
info:
[3104479.756] -> wl_surface@6.frame(new id wl_callback@11)
[3104479.798] -> wl_surface@6.frame(new id wl_callback@12)
[3104479.831] -> zwp_linux_dmabuf_v1@8.create_params(new id zwp_linux_buffer_params_v1@13)
[3104479.849] -> zwp_linux_buffer_params_v1@13.add(fd 8, 0, 0, 1280, 16777216, 2)
[3104479.906] -> zwp_linux_buffer_params_v1@13.create_immed(new id wl_buffer@14, 300, 300, 808669784, 0)
[3104479.923] -> zwp_linux_buffer_params_v1@13.destroy()
[3104479.929] -> wl_surface@6.attach(wl_buffer@14, 0, 0)
[3104479.957] -> wl_surface@6.damage(0, 0, 2147483647, 2147483647)
[3104480.471] -> wl_surface@6.commit()
[3104482.941] wl_display@1.delete_id(9)
[3104482.968] wl_display@1.error(nil, 7, "failed to import supplied dmabufs: Unsupported buffer format 808669784")
[destroyed object]: error 7: failed to import supplied dmabufs: Unsupported buffer format 808669784

Notably, when run against Weston, the trace is:
[3371099.320] -> wl_display@1.get_registry(new id wl_registry@2)
[3371099.394] -> wl_display@1.sync(new id wl_callback@3)
[3371099.536] wl_display@1.delete_id(3)
[3371099.569] wl_registry@2.global(1, "wl_compositor", 4)
[3371099.602] -> wl_registry@2.bind(1, "wl_compositor", 1, new id [unknown]@4)
[3371099.639] wl_registry@2.global(2, "wl_subcompositor", 1)
[3371099.658] wl_registry@2.global(3, "wp_viewporter", 1)
[3371099.687] wl_registry@2.global(4, "wp_presentation", 1)
[3371099.717] wl_registry@2.global(5, "zwp_relative_pointer_manager_v1", 1)
[3371099.747] wl_registry@2.global(6, "zwp_pointer_constraints_v1", 1)
[3371099.776] wl_registry@2.global(7, "zwp_input_timestamps_manager_v1", 1)
[3371099.806] wl_registry@2.global(8, "wl_data_device_manager", 3)
[3371099.836] wl_registry@2.global(9, "wl_shm", 1)
[3371099.866] wl_registry@2.global(10, "wl_seat", 5)
[3371099.887] wl_registry@2.global(11, "wl_drm", 2)
[3371099.919] wl_registry@2.global(12, "zwp_linux_dmabuf_v1", 3)
[3371099.949] wl_registry@2.global(13, "wl_output", 3)
[3371099.979] wl_registry@2.global(14, "zwp_input_panel_v1", 1)
[3371100.009] wl_registry@2.global(15, "zwp_input_method_v1", 1)
[3371100.039] wl_registry@2.global(16, "zwp_text_input_manager_v1", 1)
[3371100.069] wl_registry@2.global(17, "xdg_wm_base", 1)
[3371100.099] wl_registry@2.global(18, "zxdg_shell_v6", 1)
[3371100.149] wl_registry@2.global(19, "wl_shell", 1)
[3371100.184] -> wl_registry@2.bind(19, "wl_shell", 1, new id [unknown]@5)
[3371100.229] wl_registry@2.global(20, "weston_desktop_shell", 1)
[3371100.263] wl_registry@2.global(21, "weston_screenshooter", 1)
[3371100.294] wl_callback@3.done(76)
[3371103.528] -> wl_display@1.get_registry(new id wl_registry@3)
[3371103.559] -> wl_display@1.sync(new id wl_callback@6)
[3371103.670] wl_display@1.delete_id(6)
[3371103.690] wl_registry@3.global(1, "wl_compositor", 4)
[3371103.716] wl_registry@3.global(2, "wl_subcompositor", 1)
[3371103.745] wl_registry@3.global(3, "wp_viewporter", 1)
[3371103.774] wl_registry@3.global(4, "wp_presentation", 1)
[3371103.806] wl_registry@3.global(5, "zwp_relative_pointer_manager_v1", 1)
[3371103.832] wl_registry@3.global(6, "zwp_pointer_constraints_v1", 1)
[3371103.861] wl_registry@3.global(7, "zwp_input_timestamps_manager_v1", 1)
[3371103.891] wl_registry@3.global(8, "wl_data_device_manager", 3)
[3371103.919] wl_registry@3.global(9, "wl_shm", 1)
[3371103.945] wl_registry@3.global(10, "wl_seat", 5)
[3371103.976] wl_registry@3.global(11, "wl_drm", 2)
[3371104.008] -> wl_registry@3.bind(11, "wl_drm", 2, new id [unknown]@7)
[3371104.045] wl_registry@3.global(12, "zwp_linux_dmabuf_v1", 3)
[3371104.072] -> wl_registry@3.bind(12, "zwp_linux_dmabuf_v1", 3, new id [unknown]@8)
[3371104.108] wl_registry@3.global(13, "wl_output", 3)
[3371104.135] wl_registry@3.global(14, "zwp_input_panel_v1", 1)
[3371104.182] wl_registry@3.global(15, "zwp_input_method_v1", 1)
[3371104.213] wl_registry@3.global(16, "zwp_text_input_manager_v1", 1)
[3371104.243] wl_registry@3.global(17, "xdg_wm_base", 1)
[3371104.274] wl_registry@3.global(18, "zxdg_shell_v6", 1)
[3371104.302] wl_registry@3.global(19, "wl_shell", 1)
[3371104.333] wl_registry@3.global(20, "weston_desktop_shell", 1)
[3371104.365] wl_registry@3.global(21, "weston_screenshooter", 1)
[3371104.392] wl_callback@6.done(76)
[3371104.410] -> wl_display@1.sync(new id wl_callback@6)
[3371104.923] wl_display@1.delete_id(6)
[3371104.943] wl_drm@7.device("/dev/dri/card0")
[3371105.012] -> wl_drm@7.authenticate(2)
[3371105.030] wl_drm@7.format(808669761)
[3371105.048] wl_drm@7.format(808669784)
[3371105.063] wl_drm@7.format(808665665)
[3371105.077] wl_drm@7.format(875713089)
[3371105.093] wl_drm@7.format(875713112)
[3371105.106] wl_drm@7.format(909199186)
[3371105.118] wl_drm@7.format(961959257)
[3371105.133] wl_drm@7.format(825316697)
[3371105.147] wl_drm@7.format(842093913)
[3371105.161] wl_drm@7.format(909202777)
[3371105.176] wl_drm@7.format(875713881)
[3371105.190] wl_drm@7.format(842094158)
[3371105.205] wl_drm@7.format(909203022)
[3371105.219] wl_drm@7.format(1448695129)
[3371105.233] wl_drm@7.capabilities(1)
[3371105.247] zwp_linux_dmabuf_v1@8.modifier(1211384385, 0, 0)
[3371105.280] zwp_linux_dmabuf_v1@8.modifier(1211384385, 16777216, 1)
[3371105.310] zwp_linux_dmabuf_v1@8.modifier(1211384385, 16777216, 2)
[3371105.340] zwp_linux_dmabuf_v1@8.modifier(1211384385, 16777216, 4)
[3371105.373] zwp_linux_dmabuf_v1@8.modifier(1211384408, 0, 0)
[3371105.401] zwp_linux_dmabuf_v1@8.modifier(1211384408, 16777216, 1)
[3371105.432] zwp_linux_dmabuf_v1@8.modifier(1211384408, 16777216, 2)
[3371105.473] zwp_linux_dmabuf_v1@8.modifier(1211384408, 16777216, 4)
[3371105.522] zwp_linux_dmabuf_v1@8.modifier(808669761, 0, 0)
[3371105.560] zwp_linux_dmabuf_v1@8.modifier(808669761, 16777216, 1)
[3371105.599] zwp_linux_dmabuf_v1@8.modifier(808669761, 16777216, 2)
[3371105.638] zwp_linux_dmabuf_v1@8.modifier(808669784, 0, 0)
[3371105.670] zwp_linux_dmabuf_v1@8.modifier(808669784, 16777216, 1)
[3371105.698] zwp_linux_dmabuf_v1@8.modifier(808669784, 16777216, 2)
[3371105.727] zwp_linux_dmabuf_v1@8.modifier(808665665, 0, 0)
[3371105.757] zwp_linux_dmabuf_v1@8.modifier(808665665, 16777216, 1)
[3371105.788] zwp_linux_dmabuf_v1@8.modifier(808665665, 16777216, 2)
[3371105.813] zwp_linux_dmabuf_v1@8.modifier(875713089, 0, 0)
[3371105.843] zwp_linux_dmabuf_v1@8.modifier(875713089, 16777216, 1)
[3371105.871] zwp_linux_dmabuf_v1@8.modifier(875713089, 16777216, 2)
[3371105.903] zwp_linux_dmabuf_v1@8.modifier(875713089, 16777216, 4)
[3371105.933] zwp_linux_dmabuf_v1@8.modifier(875708993, 0, 0)
[3371105.965] zwp_linux_dmabuf_v1@8.modifier(875708993, 16777216, 1)
[3371105.998] zwp_linux_dmabuf_v1@8.modifier(875708993, 16777216, 2)
[3371106.023] zwp_linux_dmabuf_v1@8.modifier(875708993, 16777216, 4)
[3371106.059] zwp_linux_dmabuf_v1@8.modifier(875713112, 0, 0)
[3371106.094] zwp_linux_dmabuf_v1@8.modifier(875713112, 16777216, 1)
[3371106.157] zwp_linux_dmabuf_v1@8.modifier(875713112, 16777216, 2)
[3371106.199] zwp_linux_dmabuf_v1@8.modifier(875713112, 16777216, 4)
[3371106.224] zwp_linux_dmabuf_v1@8.modifier(875709016, 0, 0)
[3371106.252] zwp_linux_dmabuf_v1@8.modifier(875709016, 16777216, 1)
[3371106.289] zwp_linux_dmabuf_v1@8.modifier(875709016, 16777216, 2)
[3371106.326] zwp_linux_dmabuf_v1@8.modifier(875709016, 16777216, 4)
[3371106.352] zwp_linux_dmabuf_v1@8.modifier(892424769, 0, 0)
[3371106.379] zwp_linux_dmabuf_v1@8.modifier(892424769, 16777216, 1)
[3371106.409] zwp_linux_dmabuf_v1@8.modifier(892424769, 16777216, 2)
[3371106.436] zwp_linux_dmabuf_v1@8.modifier(909199186, 0, 0)
[3371106.466] zwp_linux_dmabuf_v1@8.modifier(909199186, 16777216, 1)
[3371106.494] zwp_linux_dmabuf_v1@8.modifier(909199186, 16777216, 2)
[3371106.522] zwp_linux_dmabuf_v1@8.modifier(538982482, 0, 0)
[3371106.567] zwp_linux_dmabuf_v1@8.modifier(538982482, 16777216, 1)
[3371106.595] zwp_linux_dmabuf_v1@8.modifier(538982482, 16777216, 2)
[3371106.620] zwp_linux_dmabuf_v1@8.modifier(540422482, 0, 0)
[3371106.648] zwp_linux_dmabuf_v1@8.modifier(540422482, 16777216, 1)
[3371106.676] zwp_linux_dmabuf_v1@8.modifier(540422482, 16777216, 2)
[3371106.703] zwp_linux_dmabuf_v1@8.modifier(943215175, 0, 0)
[3371106.731] zwp_linux_dmabuf_v1@8.modifier(943215175, 16777216, 1)
[3371106.757] zwp_linux_dmabuf_v1@8.modifier(943215175, 16777216, 2)
[3371106.785] zwp_linux_dmabuf_v1@8.modifier(842224199, 0, 0)
[3371106.814] zwp_linux_dmabuf_v1@8.modifier(842224199, 16777216, 1)
[3371106.843] zwp_linux_dmabuf_v1@8.modifier(842224199, 16777216, 2)
[3371106.871] zwp_linux_dmabuf_v1@8.modifier(842224199, 16777216, 4)
[3371106.898] zwp_linux_dmabuf_v1@8.modifier(961959257, 0, 0)
[3371106.922] zwp_linux_dmabuf_v1@8.modifier(961959257, 16777216, 1)
[3371106.950] zwp_linux_dmabuf_v1@8.modifier(961959257, 16777216, 2)
[3371106.979] zwp_linux_dmabuf_v1@8.modifier(825316697, 0, 0)
[3371107.009] zwp_linux_dmabuf_v1@8.modifier(825316697, 16777216, 1)
[3371107.036] zwp_linux_dmabuf_v1@8.modifier(825316697, 16777216, 2)
[3371107.064] zwp_linux_dmabuf_v1@8.modifier(842093913, 0, 0)
[3371107.091] zwp_linux_dmabuf_v1@8.modifier(842093913, 16777216, 1)
[3371107.138] zwp_linux_dmabuf_v1@8.modifier(842093913, 16777216, 2)
[3371107.170] zwp_linux_dmabuf_v1@8.modifier(909202777, 0, 0)
[3371107.202] zwp_linux_dmabuf_v1@8.modifier(909202777, 16777216, 1)
[3371107.234] zwp_linux_dmabuf_v1@8.modifier(909202777, 16777216, 2)
[3371107.265] zwp_linux_dmabuf_v1@8.modifier(875713881, 0, 0)
[3371107.295] zwp_linux_dmabuf_v1@8.modifier(875713881, 16777216, 1)
[3371107.320] zwp_linux_dmabuf_v1@8.modifier(875713881, 16777216, 2)
[3371107.351] zwp_linux_dmabuf_v1@8.modifier(961893977, 0, 0)
[3371107.380] zwp_linux_dmabuf_v1@8.modifier(961893977, 16777216, 1)
[3371107.410] zwp_linux_dmabuf_v1@8.modifier(961893977, 16777216, 2)
[3371107.442] zwp_linux_dmabuf_v1@8.modifier(825316953, 0, 0)
[3371107.472] zwp_linux_dmabuf_v1@8.modifier(825316953, 16777216, 1)
[3371107.502] zwp_linux_dmabuf_v1@8.modifier(825316953, 16777216, 2)
[3371107.534] zwp_linux_dmabuf_v1@8.modifier(842094169, 0, 0)
[3371107.566] zwp_linux_dmabuf_v1@8.modifier(842094169, 16777216, 1)
[3371107.597] zwp_linux_dmabuf_v1@8.modifier(842094169, 16777216, 2)
[3371107.629] zwp_linux_dmabuf_v1@8.modifier(909203033, 0, 0)
[3371107.659] zwp_linux_dmabuf_v1@8.modifier(909203033, 16777216, 1)
[3371107.688] zwp_linux_dmabuf_v1@8.modifier(909203033, 16777216, 2)
[3371107.720] zwp_linux_dmabuf_v1@8.modifier(875714137, 0, 0)
[3371107.750] zwp_linux_dmabuf_v1@8.modifier(875714137, 16777216, 1)
[3371107.780] zwp_linux_dmabuf_v1@8.modifier(875714137, 16777216, 2)
[3371107.809] zwp_linux_dmabuf_v1@8.modifier(842094158, 0, 0)
[3371107.839] zwp_linux_dmabuf_v1@8.modifier(842094158, 16777216, 1)
[3371107.870] zwp_linux_dmabuf_v1@8.modifier(842094158, 16777216, 2)
[3371107.899] zwp_linux_dmabuf_v1@8.modifier(808530000, 0, 0)
[3371107.925] zwp_linux_dmabuf_v1@8.modifier(808530000, 16777216, 1)
[3371107.951] zwp_linux_dmabuf_v1@8.modifier(808530000, 16777216, 2)
[3371107.979] zwp_linux_dmabuf_v1@8.modifier(842084432, 0, 0)
[3371108.005] zwp_linux_dmabuf_v1@8.modifier(842084432, 16777216, 1)
[3371108.035] zwp_linux_dmabuf_v1@8.modifier(842084432, 16777216, 2)
[3371108.066] zwp_linux_dmabuf_v1@8.modifier(909193296, 0, 0)
[3371108.096] zwp_linux_dmabuf_v1@8.modifier(909193296, 16777216, 1)
[3371108.126] zwp_linux_dmabuf_v1@8.modifier(909193296, 16777216, 2)
[3371108.155] zwp_linux_dmabuf_v1@8.modifier(909203022, 0, 0)
[3371108.186] zwp_linux_dmabuf_v1@8.modifier(909203022, 16777216, 1)
[3371108.217] zwp_linux_dmabuf_v1@8.modifier(909203022, 16777216, 2)
[3371108.249] zwp_linux_dmabuf_v1@8.modifier(1448433985, 0, 0)
[3371108.279] zwp_linux_dmabuf_v1@8.modifier(1448433985, 16777216, 1)
[3371108.309] zwp_linux_dmabuf_v1@8.modifier(1448433985, 16777216, 2)
[3371108.341] zwp_linux_dmabuf_v1@8.modifier(1448434008, 0, 0)
[3371108.371] zwp_linux_dmabuf_v1@8.modifier(1448434008, 16777216, 1)
[3371108.402] zwp_linux_dmabuf_v1@8.modifier(1448434008, 16777216, 2)
[3371108.432] zwp_linux_dmabuf_v1@8.modifier(1448695129, 0, 0)
[3371108.460] zwp_linux_dmabuf_v1@8.modifier(1448695129, 16777216, 1)
[3371108.492] zwp_linux_dmabuf_v1@8.modifier(1448695129, 16777216, 2)
[3371108.522] zwp_linux_dmabuf_v1@8.modifier(1498831189, 0, 0)
[3371108.552] zwp_linux_dmabuf_v1@8.modifier(1498831189, 16777216, 1)
[3371108.580] zwp_linux_dmabuf_v1@8.modifier(1498831189, 16777216, 2)
[3371108.608] wl_callback@6.done(76)
[3371108.625] -> wl_display@1.sync(new id wl_callback@6)
[3371109.998] wl_display@1.delete_id(6)
[3371110.024] wl_drm@7.authenticated()
[3371110.034] wl_callback@6.done(76)
EGL_VERSION = 1.5
[3371142.412] -> wl_compositor@4.create_surface(new id wl_surface@6)
[3371142.425] -> wl_compositor@4.create_region(new id wl_region@9)
[3371142.431] -> wl_region@9.add(0, 0, 300, 300)
[3371142.441] -> wl_surface@6.set_opaque_region(wl_region@9)
[3371142.446] -> wl_region@9.destroy()
[3371142.450] -> wl_shell@5.get_shell_surface(new id wl_shell_surface@10, wl_surface@6)
[3371142.464] -> wl_shell_surface@10.set_toplevel()
vertex shader info:
fragment shader info:
info:
[3371149.387] -> wl_surface@6.frame(new id wl_callback@11)
[3371149.408] -> wl_surface@6.frame(new id wl_callback@12)
[3371149.415] -> zwp_linux_dmabuf_v1@8.create_params(new id zwp_linux_buffer_params_v1@13)
[3371149.432] -> zwp_linux_buffer_params_v1@13.add(fd 8, 0, 0, 1280, 16777216, 2)
[3371149.455] -> zwp_linux_buffer_params_v1@13.create_immed(new id wl_buffer@14, 300, 300, 808669784, 0)
[3371149.477] -> zwp_linux_buffer_params_v1@13.destroy()
[3371149.483] -> wl_surface@6.attach(wl_buffer@14, 0, 0)
[3371149.497] -> wl_surface@6.damage(0, 0, 2147483647, 2147483647)
[3371150.008] -> wl_surface@6.commit()
…trace continues extremely verbosely; everything works.

Notably, it seems that the Mesa is sending the same zwp_linux_buffer_paramsv1 request to both Mutter and to Weston, but Mutter is throwing an error.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: mutter 3.35.91-1ubuntu1
ProcVersionSignature: Ubuntu 5.3.0+bcachefs.git20200311.7e07e19c-1-generic 5.3.18
Uname: Linux 5.3.0+bcachefs.git20200311.7e07e19c-1-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.11-0ubuntu21
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Mon Mar 23 17:23:33 2020
InstallationDate: Installed on 2019-08-29 (207 days ago)
InstallationMedia: Ubuntu 19.10 bcachefs (20190828)
SourcePackage: mutter
UpgradeStatus: Upgraded to focal on 2020-01-20 (62 days ago)

Chris Halse Rogers (raof) wrote :
summary: - es2gears_wayland fails to run
+ es2gears_wayland fails to run with zwp_linux_dmabuf error

That's DRM_FORMAT_XRGB2101010 so this sounds like https://gitlab.gnome.org/GNOME/mutter/issues/987

summary: - es2gears_wayland fails to run with zwp_linux_dmabuf error
+ es2gears_wayland fails to run with zwp_linux_dmabuf error (failed to
+ import supplied dmabufs: Unsupported buffer format 808669784)
+ [DRM_FORMAT_XRGB2101010]
Changed in mutter (Ubuntu):
status: New → Confirmed
summary: - es2gears_wayland fails to run with zwp_linux_dmabuf error (failed to
- import supplied dmabufs: Unsupported buffer format 808669784)
+ Clients fail to run with zwp_linux_dmabuf error (failed to import
+ supplied dmabufs: Unsupported buffer format 808669784)
[DRM_FORMAT_XRGB2101010]
Changed in mutter (Ubuntu):
status: Confirmed → Won't Fix

This is because gallium drivers no longer forcefully disable 10 bpc (by a distro patch), but if our mutter won't gain support for 10bpc, then the patch should probably be reapplied.

Chris Halse Rogers (raof) wrote :

Mutter actually *does* support 10bpc, just not with zwp_linux_dmabuf_v1. It seems that mesa will incorrectly try to use formats advertised by wl_drm but not zwp_linux_dmabuf_v1. https://gitlab.freedesktop.org/mesa/mesa/-/merge_requests/4294 fixes this for me.

Changed in mesa (Ubuntu):
status: New → Confirmed
Changed in mesa (Ubuntu):
status: Confirmed → In Progress
importance: Undecided → High
assignee: nobody → Chris Halse Rogers (raof)
no longer affects: mesa-demos (Ubuntu)
no longer affects: mpv (Ubuntu)
Changed in mesa:
status: Unknown → New
Changed in mutter:
status: Unknown → Fix Released
Changed in mesa:
status: New → Fix Released
Changed in mesa (Ubuntu):
status: In Progress → Fix Committed
tags: added: fixed-upstream
tags: added: fixed-in-mesa-20.1
description: updated
tags: added: rls-ff-incoming
summary: - Clients fail to run with zwp_linux_dmabuf error (failed to import
+ Wayland apps fail to run with zwp_linux_dmabuf error (failed to import
supplied dmabufs: Unsupported buffer format 808669784)
[DRM_FORMAT_XRGB2101010]
summary: Wayland apps fail to run with zwp_linux_dmabuf error (failed to import
- supplied dmabufs: Unsupported buffer format 808669784)
- [DRM_FORMAT_XRGB2101010]
+ supplied dmabufs: Unsupported buffer format 808669784
+ [DRM_FORMAT_XRGB2101010]) (or 808665665 [DRM_FORMAT_ABGR2101010])
tags: added: fixed-in-mesa-20.0.7
tags: removed: rls-ff-incoming
Daniel van Vugt (vanvugt) wrote :

I can't test this right now but in theory the fix just got released...

mesa (20.0.7-1ubuntu1) groovy; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <email address hidden> Mon, 25 May 2020 13:02:32 +0300

Changed in mesa (Ubuntu):
status: Fix Committed → Fix Released
Daniel van Vugt (vanvugt) wrote :

Verified fixed on groovy with mesa 20.0.7

Timo Aaltonen (tjaalton) on 2020-05-28
Changed in mutter (Ubuntu Focal):
status: New → Won't Fix
Changed in mesa (Ubuntu Focal):
assignee: nobody → Timo Aaltonen (tjaalton)
no longer affects: mutter (Ubuntu)
no longer affects: mutter (Ubuntu Focal)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mesa (Ubuntu Focal):
status: New → Confirmed
no longer affects: mutter

Is Mesa 20.0.7 going to be backported to Ubuntu Focal? It would be a shame to be unable to use native OpenGL programs on Wayland for the next 5 years.

Timo Aaltonen (tjaalton) wrote :

The last release of the stable series will be backported once it's released, just like on every Ubuntu version since many years. It is expected to be 20.0.8 and should be out in a week or two.

Timo Aaltonen (tjaalton) wrote :

20.0.8 is now out, so I'll push an updated version to focal-proposed today

Thanks @tjaalton. I see from https://launchpad.net/ubuntu/+source/mesa that version 20.0.8-0ubuntu1 made it into Groovy proposed.

Is there a chance this will also make it into focal-proposed so that it can be tested on the current LTS? Or do we have to wait until this gets merged into groovy?

Changed in mesa (Ubuntu Focal):
status: Confirmed → In Progress
importance: Undecided → High

Hello Chris, or anyone else affected,

Accepted mesa into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/20.0.8-0ubuntu1~20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mesa (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Łukasz Zemczak (sil2100) wrote :

Hello Chris, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/20.0.8-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mesa (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic

I tested version '20.0.8-0ubuntu1~20.04.1' from 'focal-proposed' and it fixes the issues I encountered with EGL and specifically 'es2gears_wayland'.

Juanjo (juanjo-benages) wrote :

I have tested 20.0.8 from focal-proposed. I have tested both es2gears_wayland and mpv under wayland and both programs work for me.

This is the list of packages upgraded
Install: libllvm10:amd64 (1:10.0.0-4ubuntu1, automatic)
Upgrade: libegl-mesa0:amd64 (20.0.4-2ubuntu1, 20.0.8-0ubuntu1~20.04.1), libglapi-mesa:amd64 (20.0.4-2ubuntu1, 20.0.8-0ubuntu1~20.04.1), libgbm1:amd64 (20.0.4-2ubuntu1, 20.0.8-0ubuntu1~20.04.1), libgl1-mesa-dri:amd64 (20.0.4-2ubuntu1, 20.0.8-0ubuntu1~20.04.1), mesa-vdpau-drivers:amd64 (20.0.4-2ubuntu1, 20.0.8-0ubuntu1~20.04.1), mesa-vulkan-drivers:amd64 (20.0.4-2ubuntu1, 20.0.8-0ubuntu1~20.04.1), mesa-va-drivers:amd64 (20.0.4-2ubuntu1, 20.0.8-0ubuntu1~20.04.1), libglx-mesa0:amd64 (20.0.4-2ubuntu1, 20.0.8-0ubuntu1~20.04.1)

tags: added: verification-done-focal
removed: verification-needed-focal
Daniel van Vugt (vanvugt) wrote :

Bionic is not relevant to this bug. There is nothing to verify. The bug only exists in mutter 3.36 onward.

Timo Aaltonen (tjaalton) on 2020-06-18
tags: added: verification-done-bionic
removed: verification-needed-bionic
Changed in mesa (Ubuntu Bionic):
status: Fix Committed → Invalid

All autopkgtests for the newly accepted mesa (20.0.8-0ubuntu1~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

pymol/1.8.4.0+dfsg-1build1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#mesa

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Daniel van Vugt (vanvugt) wrote :

^^^
I very much doubt that is Mesa's fault...

autopkgtest [12:39:33]: test command1: - - - - - - - - - - results - - - - - - - - - -
command1 FAIL non-zero exit status 139
autopkgtest [12:39:33]: test command1: - - - - - - - - - - stderr - - - - - - - - - -
Segmentation fault (core dumped)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 20.0.8-0ubuntu1~20.04.1

---------------
mesa (20.0.8-0ubuntu1~20.04.1) focal; urgency=medium

  * Backport to focal.
    - migrate to LLVM 10 (LP: #1882901)
    - fix zwp_linux_dmabuf_v1 on wayland (LP: #1868520)
  * control: Relax libclc-dev build-dep for the backport.

 -- Timo Aaltonen <email address hidden> Fri, 12 Jun 2020 09:05:27 +0300

Changed in mesa (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mesa has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.